import { Toolbar } from './components/MToolbar.vue';
import { Extension } from '@codemirror/state';
import { Options } from 'remark-rehype';
type Plugin = () => void;
export interface Plugins {
    remark?: (Plugin | [Plugin, object])[];
    rehype?: (Plugin | [Plugin, object])[];
    remarkRehypeOptions?: Options;
    codemirror?: Extension[];
}
export interface CasketView {
    showEditor: boolean;
    showViewer: boolean;
    fullScreen: boolean;
}
declare const _default: import("vue").DefineComponent<{
    modelValue: {
        required: true;
        type: import("vue").PropType<string>;
    };
    plugins: {
        type: import("vue").PropType<Plugins>;
        default: () => Plugins;
    };
    toolbarl: {
        type: import("vue").PropType<Toolbar>;
        default: () => Toolbar;
    };
    toolbarr: {
        type: import("vue").PropType<Toolbar>;
        default: () => Toolbar;
    };
    lang: {
        type: import("vue").PropType<string>;
        default: string;
    };
}, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    modelValue: {
        required: true;
        type: import("vue").PropType<string>;
    };
    plugins: {
        type: import("vue").PropType<Plugins>;
        default: () => Plugins;
    };
    toolbarl: {
        type: import("vue").PropType<Toolbar>;
        default: () => Toolbar;
    };
    toolbarr: {
        type: import("vue").PropType<Toolbar>;
        default: () => Toolbar;
    };
    lang: {
        type: import("vue").PropType<string>;
        default: string;
    };
}>>, {
    plugins: Plugins;
    toolbarl: Toolbar;
    toolbarr: Toolbar;
    lang: string;
}, {}>;
export default _default;
