import { CasketView, Plugins } from './CasketStar.vue';
import { Toolbar } from './components/MToolbar.vue';
export declare function getDefaultPlugins(): Plugins;
import { EditorView } from '@codemirror/view';
import { Tool, ToolGroup } from './components/MToolbar.vue';
export declare const ToolIncrease: Tool;
export declare const ToolDecrease: Tool;
export declare const ToolHorizontal: Tool;
export declare const ToolBold: {
    name: string;
    icon: string;
    func: (codemirror: EditorView) => void;
};
export declare const ToolItalic: {
    name: string;
    icon: string;
    func: (codemirror: EditorView) => void;
};
export declare const ToolStrikethrough: {
    name: string;
    icon: string;
    func: (codemirror: EditorView) => void;
};
export declare const ToolLinkOrVideo: Tool;
export declare const ToolPicture: Tool;
export declare const ToolCode: {
    name: string;
    icon: string;
    func: (codemirror: EditorView, casketstar: CasketView, container: HTMLDivElement) => void;
};
export declare const ToolTable: Tool;
export declare const ToolBlock: Tool;
export declare const ToolQuote: Tool;
export declare const ToolUList: Tool;
export declare const ToolOList: Tool;
export declare const ToolTaskList: {
    name: string;
    icon: string;
    func: (codemirror: EditorView) => void;
};
export declare const ToolOnlyEdit: Tool;
export declare const ToolOnlyView: Tool;
export declare const ToolFullScreen: Tool;
export declare const ToolHelp: {
    name: string;
    icon: string;
    func: (codemirror: EditorView, casketstar: CasketView, container: HTMLDivElement) => void;
};
export declare const ToolGroupTitle: ToolGroup;
export declare const ToolGroupInline: ToolGroup;
export declare const ToolGroupInterline: ToolGroup;
export declare const ToolGroupBlock: ToolGroup;
export declare const ToolGroupCasket: ToolGroup;
export declare const ToolGroupHelp: ToolGroup;
export declare function getDefaultToolbarL(): Toolbar;
export declare function getDefaultToolbarR(): Toolbar;
