import { EditorView } from '@codemirror/view';
import { CasketView } from '~/CasketStar.vue';
export interface Tool {
    name: string;
    icon: string;
    func: (codemirror: EditorView, casketstar: CasketView, container: HTMLDivElement) => void;
}
export type ToolGroup = Tool[];
export type Toolbar = ToolGroup[];
declare const _default: import("vue").DefineComponent<__VLS_TypePropsToRuntimeProps<{
    toolbarl: Toolbar;
    toolbarr: Toolbar;
    getCodemirror: () => EditorView | undefined;
    getCasketstar: () => CasketView | undefined;
    dialog: HTMLDivElement | null;
}>, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<__VLS_TypePropsToRuntimeProps<{
    toolbarl: Toolbar;
    toolbarr: Toolbar;
    getCodemirror: () => EditorView | undefined;
    getCasketstar: () => CasketView | undefined;
    dialog: HTMLDivElement | null;
}>>>, {}, {}>;
export default _default;
type __VLS_NonUndefinedable<T> = T extends undefined ? never : T;
type __VLS_TypePropsToRuntimeProps<T> = {
    [K in keyof T]-?: {} extends Pick<T, K> ? {
        type: import('vue').PropType<__VLS_NonUndefinedable<T[K]>>;
    } : {
        type: import('vue').PropType<T[K]>;
        required: true;
    };
};
